# occur(3)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

## SYNOPSIS

occur

## DESCRIPTION

occur performs a regular expression search for a string in the current buffer; generating a list of every occurrence of the regular expression in the buffer.

On invocation the user is prompted for a Regular Expressions the buffer is searched for the expression and the results are presented in the `*item-list*` window appearing at the left-hand side of the window.

The user may interact with the `*item-list*` buffer using the mouse or `<RETURN>`, on selecting a line then the user is moved to the corresponding line in the original buffer.

## NOTES

The `*item-list*` window may be closed with the command item-list-close(3) typically bound to `esc-F7`.

occur is a macro defined in `itemlist.emf`.

## SEE ALSO

item-list(3), item-list-close(3), search-forward(2), Regular Expressions

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>